/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qlayout.h>

#include <klocale.h>
#include <kglobal.h>
#include <kparts/genericfactory.h>

#include <dialogs.h>
#include <modnetworks.h>
#include <dbsdinitglobal.h>

#include "dbsdnetworking.h"


typedef KGenericFactory<DBSDNetworking, QWidget> DBSDNetworkingFactory;
K_EXPORT_COMPONENT_FACTORY(kcm_DBSDNetworking, DBSDNetworkingFactory("kcm_dbsdnetworking"))

extern "C" {
	KCModule *create_dbsdnetworking(QWidget  *parent, const char  *name) {
		DBSDGlobalInitializer::initGlobal();
		return  new DBSDNetworking(parent, name);
	}
}

DBSDNetworking::DBSDNetworking(QWidget  *parent,  const char *name,  const QStringList &  list)
	:	DBSDRootOnlyKCModule((geteuid() == 0) ? (new modNetworks) : NULL,  parent,  name,  list)
{
}

DBSDNetworking::~DBSDNetworking() {
}

QString  DBSDNetworking::kcmoduleName() {
	return  "dbsdnetworking";
}
